Issue upgrading geodatabase from 10.2.2 to 10.7

737
1
10-23-2019 01:45 PM
JasonFrancis1
New Contributor

First question: Is it supported to go directly from 10.2.2 to 10.7?

I'm attempting to upgrade a geodatabase from 10.2.2 to 10.7 using ArcCatalog (v10.7.0.10450) > Upgrade Geodatabase and getting the following error:

Could not update server tables and stored procedures. (SDE_branch_tables_modified : Error (-220)
DBMS error code: 2627
[Microsoft][ODBC Driver 13 for SQL Server][SQL Server]Violation of PRIMARY KEY constraint 'registry_pk'. Cannot insert duplicate key in object 'sde.SDE_table_registry'. The duplicate key value is (80).

)
Refer to upgrade logfiles for more details:


There are no further details in the upgrade logfile (GDBUpgrade.log)

The sde_setup.log contains the following:

[09:53:56.779] Failed to connect. ODBC 17 error: 0, IM002:[Microsoft][ODBC Driver Manager] Data source name not found and no default driver specified
[09:53:56.983] ArcSde is already at an acceptable release:
10.2.0 1
[09:53:57.318] BRANCHES table registered as hidden...
[09:53:57.384] ERROR in registering SDE_branch_tables_modified table.
Error: -220
DBMS error code: 2627
[Microsoft][ODBC Driver 13 for SQL Server][SQL Server]Violation of PRIMARY KEY constraint 'registry_pk'. Cannot insert duplicate key in object 'sde.SDE_table_registry'. The duplicate key value is (80).

[09:53:57.384] SDE release upgrade not completed(-220).
[09:53:57.394] ERROR installing/upgrading ArcSDE, Error = -220


Any ideas what might be the cause of the issue preventing an upgrade? 

0 Kudos
1 Reply
George_Thompson
Esri Frequent Contributor

That direct upgrade path is not supported: Client and geodatabase compatibility—ArcGIS Help | ArcGIS Desktop 

You would need to upgrade to something like 10.5.1, then to 10.7.x.

You also need to make sure that you are on a supported version of SQL Server, looks like 2014 may work for both upgrades.

ArcGIS Pro 2.4.x/ArcMap 10.7.x - Microsoft SQL Server database requirements for ArcGIS 10.7.x and ArcGIS Pro 2.4—System Requirements ... 

ArcGIS 10.5.x - Microsoft SQL Server database requirements for ArcGIS 10.5.x—System Requirements | ArcGIS Desktop 

--- George T.